const WIREMOCK_SEARCH_BASE_URL = process.env.SEARCH_SERVICE_URL
  ? `${process.env.SEARCH_SERVICE_URL}/__admin`
  : "http://localhost:8400/__admin";
const WIREMOCK_SEARCH_MAPPING_URL = `${WIREMOCK_SEARCH_BASE_URL}/mappings`;
const WIREMOCK_SEARCH_FIND_REQUESTS_URL = `${WIREMOCK_SEARCH_BASE_URL}/requests/find`;

const WIREMOCK_CITIZEN_BASE_URL = process.env.CITIZEN_SERVICE_URL
  ? `${process.env.CITIZEN_URL}/__admin`
  : "http://localhost:8100/__admin";
const WIREMOCK_CITIZEN_MAPPING_URL = `${WIREMOCK_CITIZEN_BASE_URL}/mappings`;
const WIREMOCK_CITIZEN_FIND_REQUESTS_URL = `${WIREMOCK_CITIZEN_BASE_URL}/requests/find`;

const WIREMOCK_CERTIFICATE_BASE_URL = process.env.CERTIFICATE_SERVICE_URL
  ? `${process.env.CERTIFICATE_SERVICE_URL}/__admin`
  : "http://localhost:8090/__admin";
const WIREMOCK_CERTIFICATE_MAPPING_URL = `${WIREMOCK_CERTIFICATE_BASE_URL}/mappings`;
const WIREMOCK_CERTIFICATE_FIND_REQUESTS_URL = `${WIREMOCK_CERTIFICATE_BASE_URL}/requests/find`;

const WIREMOCK_PAYMENT_BASE_URL = process.env.PAYMENT_SERVICE_URL
  ? `${process.env.PAYMENT_SERVICE_URL}/__admin`
  : "http://localhost:8110/__admin";
const WIREMOCK_PAYMENT_MAPPING_URL = `${WIREMOCK_PAYMENT_BASE_URL}/mappings`;
const WIREMOCK_PAYMENT_FIND_REQUESTS_URL = `${WIREMOCK_PAYMENT_BASE_URL}/requests/find`;

const WIREMOCK_NOTE_BASE_URL = process.env.NOTE_SERVICE_URL
  ? `${process.env.NOTE_SERVICE_URL}/__admin`
  : "http://localhost:8140/__admin";
const WIREMOCK_NOTE_MAPPING_URL = `${WIREMOCK_NOTE_BASE_URL}/mappings`;
const WIREMOCK_NOTE_FIND_REQUESTS_URL = `${WIREMOCK_NOTE_BASE_URL}/requests/find`;

const WIREMOCK_REISSUE_BASE_URL = process.env.REISSUE_SERVICE_URL
  ? `${process.env.REISSUE_SERVICE_URL}/__admin`
  : "http://localhost:8401/__admin";
const WIREMOCK_REISSUE_MAPPING_URL = `${WIREMOCK_REISSUE_BASE_URL}/mappings`;
const WIREMOCK_REISSUE_FIND_REQUESTS_URL = `${WIREMOCK_REISSUE_BASE_URL}/requests/find`;

const WIREMOCK_PRODUCT_BASE_URL = process.env.PRODUCT_SERVICE_URL
  ? `${process.env.PRODUCT_URL}/__admin`
  : "http://localhost:8120/__admin";
const WIREMOCK_PRODUCT_MAPPING_URL = `${WIREMOCK_PRODUCT_BASE_URL}/mappings`;
const WIREMOCK_PRODUCT_FIND_REQUESTS_URL = `${WIREMOCK_PRODUCT_BASE_URL}/requests/find`;

const WIREMOCK_ISSUE_CERTIFICATE_BASE_URL = process.env
  .ISSUE_CERTIFICATE_SERVICE_URL
  ? `${process.env.ISSUE_CERTIFICATE_URL}/__admin`
  : "http://localhost:8500/__admin";
const WIREMOCK_ISSUE_CERTIFICATE_MAPPING_URL = `${WIREMOCK_ISSUE_CERTIFICATE_BASE_URL}/mappings`;
const WIREMOCK_ISSUE_CERTIFICATE_FIND_REQUESTS_URL = `${WIREMOCK_ISSUE_CERTIFICATE_BASE_URL}/requests/find`;

const WIREMOCK_CPS_BASE_URL = `http://localhost:8302/__admin`;
const WIREMOCK_CPS_MAPPING_URL = `${WIREMOCK_CPS_BASE_URL}/mappings`;
const WIREMOCK_CPS_FIND_REQUESTS_URL = `${WIREMOCK_CPS_BASE_URL}/requests/find`;

const WIREMOCK_PREFERENCE_BASE_URL = process.env.PREFERENCE_SERVICE_URL
  ? `${process.env.PREFERENCE_SERVICE_URL}/__admin`
  : "http://localhost:8150/__admin";
const WIREMOCK_PREFERENCE_MAPPING_URL = `${WIREMOCK_PREFERENCE_BASE_URL}/mappings`;
const WIREMOCK_PREFERENCE_FIND_REQUESTS_URL = `${WIREMOCK_PREFERENCE_BASE_URL}/requests/find`;

const WIREMOCK_COMPOSITION_BASE_URL = process.env.COMPOSITION_SERVICE_URL
  ? `${process.env.COMPOSITION_SERVICE_URL}/__admin`
  : "http://localhost:8180/__admin";
const WIREMOCK_COMPOSITION_MAPPING_URL = `${WIREMOCK_COMPOSITION_BASE_URL}/mappings`;
const WIREMOCK_COMPOSITION_FIND_REQUESTS_URL = `${WIREMOCK_COMPOSITION_BASE_URL}/requests/find`;

export {
  WIREMOCK_SEARCH_MAPPING_URL,
  WIREMOCK_SEARCH_FIND_REQUESTS_URL,
  WIREMOCK_CITIZEN_MAPPING_URL,
  WIREMOCK_CITIZEN_FIND_REQUESTS_URL,
  WIREMOCK_CERTIFICATE_MAPPING_URL,
  WIREMOCK_CERTIFICATE_FIND_REQUESTS_URL,
  WIREMOCK_PAYMENT_MAPPING_URL,
  WIREMOCK_PAYMENT_FIND_REQUESTS_URL,
  WIREMOCK_NOTE_MAPPING_URL,
  WIREMOCK_NOTE_FIND_REQUESTS_URL,
  WIREMOCK_REISSUE_MAPPING_URL,
  WIREMOCK_REISSUE_FIND_REQUESTS_URL,
  WIREMOCK_ISSUE_CERTIFICATE_MAPPING_URL,
  WIREMOCK_ISSUE_CERTIFICATE_FIND_REQUESTS_URL,
  WIREMOCK_PRODUCT_MAPPING_URL,
  WIREMOCK_PRODUCT_FIND_REQUESTS_URL,
  WIREMOCK_CPS_MAPPING_URL,
  WIREMOCK_CPS_FIND_REQUESTS_URL,
  WIREMOCK_PREFERENCE_MAPPING_URL,
  WIREMOCK_PREFERENCE_FIND_REQUESTS_URL,
  WIREMOCK_COMPOSITION_MAPPING_URL,
  WIREMOCK_COMPOSITION_FIND_REQUESTS_URL,
};
